import java.util.Vector;

import quadbase.scheduler.FailedScheduledJob;
import quadbase.scheduler.ScheduleLog;
import quadbase.scheduler.ScheduleModifier;

public class FailedSchedule {

	public static void main(String[] args) {
		FailedSchedule doFailedSchedule = new FailedSchedule();
		try {
			doFailedSchedule.failedScheduleDetails();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void failedScheduleDetails() throws Exception {
		
		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);
		
		Vector vec = ScheduleLog.getFailedScheduledJob();
		for (int i = 0; i < vec.size(); i++) {
			FailedScheduledJob obj = (FailedScheduledJob) vec.elementAt(i);
			System.out.println("FAIL # " + i + ": Name = " +
								obj.getScheduledJobName());
			System.out.println("File Location = " + obj.getFileLocation());
			System.out.println("Time = " + obj.getExportTime());
			System.out.println("StackTrace = " + obj.getStackTrace());
		}
	}
}
